Page MenuHomeFreeBSD

lang/rust: Update to 1.41.1
ClosedPublic

Authored by tobik on Feb 25 2020, 3:37 PM.

Details

Summary

Scheduled to be released on 2020-02-27.

https://internals.rust-lang.org/t/1-41-1-pre-release-testing/11893
https://github.com/rust-lang/rust/blob/stable/RELEASES.md#version-1411-2020-02-27

Other port changes:

  • Add D23650
  • Add D23735
  • Enable SOURCES and WASM by default as previously suggested
  • Remove implied --config=config.toml from x.py args
  • Merge do-install and post-install
Test Plan

12.0 amd64 (+consumers) ok
11.3 i386 pk

I do not plan to do any more builds.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tobik created this revision.Feb 25 2020, 3:37 PM
tobik updated this revision to Diff 68809.Feb 25 2020, 3:47 PM
  • Like rust-nightly, switch to the upstreamed backtrace crate patches here too
tobik updated this revision to Diff 68810.Feb 25 2020, 5:09 PM
  • Remove PLIST_FILES too...
tobik updated this revision to Diff 68816.Feb 25 2020, 6:21 PM
  • Rebase and include rust-bootstrap
tobik updated this revision to Diff 68823.Feb 25 2020, 8:02 PM
  • Remove ${PREFIX} before ${DOCSDIR} in do-install (DOCSDIR already has PREFIX, wrong in D23735 too)
tobik accepted this revision.Feb 26 2020, 5:57 AM
tobik edited the test plan for this revision. (Show Details)
mikael accepted this revision.Feb 26 2020, 8:46 AM
This revision was not accepted when it landed; it landed in state Needs Review.Feb 27 2020, 3:22 PM
Closed by commit rP527260: lang/rust: Update to 1.41.1 (authored by tobik). · Explain Why
This revision was automatically updated to reflect the committed changes.